{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"You can retrieve the full detail of a single data connector by its ID.\n\nThe response includes configuration, data inputs, response fields, and object mappings.\n\nOAuth tokens must have the `read_workflow_connector_execution_result` or `read_write_data_connectors` scope.\n","properties":{"headers":{"type":"object","properties":{"Intercom-Version":{"$ref":"#/definitions/intercom_version","enum":["2.17"]}},"required":[],"additionalProperties":false},"path":{"type":"object","properties":{"id":{"type":"string","examples":["12345"],"description":"The unique identifier of the data connector."}},"required":["id"],"additionalProperties":false},"query":{"type":"object","properties":{"state_version":{"type":"string","enum":["draft","live"],"default":"live","description":"Which version of the data connector to return. Defaults to live."}},"required":[],"additionalProperties":false}},"required":["path"],"additionalProperties":false,"definitions":{"intercom_version":{"description":"Intercom API version.</br>If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.","type":"string","enum":["1.0","1.1","1.2","1.3","1.4","2.0","2.1","2.2","2.3","2.4","2.5","2.6","2.7","2.8","2.9","2.10","2.11","2.12","2.13","2.14","2.15","2.16","2.17"],"examples":["2.17"]}}},"name":"Retrieve a data connector","id":"intercom.retrievedataconnector","example":{"path":{"id":"12345"}},"maxRequests":1,"summary":false}}